Index: CKEditor/branches/versions/3.5.x/CHANGES.html
===================================================================
--- CKEditor/branches/versions/3.5.x/CHANGES.html	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/CHANGES.html	(revision 5915)
@@ -41,4 +41,5 @@
 	<ul>
 		<li><a href="http://dev.ckeditor.com/ticket/5755">#5755</a> : Introduced the <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.dialog_buttonsOrder">dialog_buttonsOrder</a> setting, making it possible to control the buttons order.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/4648">#4648</a> : Added the new Iframe plugin.</li>
 	</ul>
 	<p>
Index: CKEditor/branches/versions/3.5.x/_source/core/config.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/core/config.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/core/config.js	(revision 5915)
@@ -244,5 +244,5 @@
 	 * @example
 	 */
-	plugins : 'about,a11yhelp,basicstyles,bidi,blockquote,button,clipboard,colorbutton,colordialog,contextmenu,dialogadvtab,div,elementspath,enterkey,entities,filebrowser,find,flash,font,format,forms,horizontalrule,htmldataprocessor,image,indent,justify,keystrokes,link,list,liststyle,maximize,newpage,pagebreak,pastefromword,pastetext,popup,preview,print,removeformat,resize,save,scayt,smiley,showblocks,showborders,sourcearea,stylescombo,table,tabletools,specialchar,tab,templates,toolbar,undo,wysiwygarea,wsc',
+	plugins : 'about,a11yhelp,basicstyles,bidi,blockquote,button,clipboard,colorbutton,colordialog,contextmenu,dialogadvtab,div,elementspath,enterkey,entities,filebrowser,find,flash,font,format,forms,horizontalrule,htmldataprocessor,iframe,image,indent,justify,keystrokes,link,list,liststyle,maximize,newpage,pagebreak,pastefromword,pastetext,popup,preview,print,removeformat,resize,save,scayt,smiley,showblocks,showborders,sourcearea,stylescombo,table,tabletools,specialchar,tab,templates,toolbar,undo,wysiwygarea,wsc',
 
 	/**
Index: CKEditor/branches/versions/3.5.x/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/_translationstatus.txt	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/_translationstatus.txt	(revision 5915)
@@ -2,59 +2,59 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 287 Missing: 244
-ar.js      Found: 451 Missing: 80
-bg.js      Found: 280 Missing: 251
-bn.js      Found: 281 Missing: 250
-bs.js      Found: 187 Missing: 344
-ca.js      Found: 490 Missing: 41
-cs.js      Found: 411 Missing: 120
-cy.js      Found: 452 Missing: 79
-da.js      Found: 404 Missing: 127
-de.js      Found: 522 Missing: 9
-el.js      Found: 286 Missing: 245
-en-au.js   Found: 369 Missing: 162
-en-ca.js   Found: 369 Missing: 162
-en-gb.js   Found: 370 Missing: 161
-eo.js      Found: 259 Missing: 272
-es.js      Found: 524 Missing: 7
-et.js      Found: 301 Missing: 230
-eu.js      Found: 403 Missing: 128
-fa.js      Found: 302 Missing: 229
-fi.js      Found: 518 Missing: 13
-fo.js      Found: 420 Missing: 111
-fr-ca.js   Found: 301 Missing: 230
-fr.js      Found: 403 Missing: 128
-gl.js      Found: 283 Missing: 248
-gu.js      Found: 300 Missing: 231
-he.js      Found: 531 Missing: 0
-hi.js      Found: 302 Missing: 229
-hr.js      Found: 404 Missing: 127
-hu.js      Found: 445 Missing: 86
-is.js      Found: 307 Missing: 224
-it.js      Found: 404 Missing: 127
-ja.js      Found: 413 Missing: 118
-km.js      Found: 275 Missing: 256
-ko.js      Found: 293 Missing: 238
-lt.js      Found: 306 Missing: 225
-lv.js      Found: 283 Missing: 248
-mn.js      Found: 300 Missing: 231
-ms.js      Found: 265 Missing: 266
-nb.js      Found: 470 Missing: 61
-nl.js      Found: 494 Missing: 37
-no.js      Found: 470 Missing: 61
-pl.js      Found: 411 Missing: 120
-pt-br.js   Found: 524 Missing: 7
-pt.js      Found: 282 Missing: 249
-ro.js      Found: 301 Missing: 230
-ru.js      Found: 467 Missing: 64
-sk.js      Found: 302 Missing: 229
-sl.js      Found: 410 Missing: 121
-sr-latn.js Found: 276 Missing: 255
-sr.js      Found: 275 Missing: 256
-sv.js      Found: 299 Missing: 232
-th.js      Found: 287 Missing: 244
-tr.js      Found: 524 Missing: 7
-uk.js      Found: 404 Missing: 127
-vi.js      Found: 481 Missing: 50
-zh-cn.js   Found: 523 Missing: 8
-zh.js      Found: 404 Missing: 127
+af.js      Found: 287 Missing: 259
+ar.js      Found: 451 Missing: 95
+bg.js      Found: 280 Missing: 266
+bn.js      Found: 281 Missing: 265
+bs.js      Found: 187 Missing: 359
+ca.js      Found: 490 Missing: 56
+cs.js      Found: 411 Missing: 135
+cy.js      Found: 452 Missing: 94
+da.js      Found: 404 Missing: 142
+de.js      Found: 528 Missing: 18
+el.js      Found: 286 Missing: 260
+en-au.js   Found: 369 Missing: 177
+en-ca.js   Found: 369 Missing: 177
+en-gb.js   Found: 370 Missing: 176
+eo.js      Found: 259 Missing: 287
+es.js      Found: 524 Missing: 22
+et.js      Found: 301 Missing: 245
+eu.js      Found: 403 Missing: 143
+fa.js      Found: 302 Missing: 244
+fi.js      Found: 518 Missing: 28
+fo.js      Found: 420 Missing: 126
+fr-ca.js   Found: 301 Missing: 245
+fr.js      Found: 403 Missing: 143
+gl.js      Found: 283 Missing: 263
+gu.js      Found: 300 Missing: 246
+he.js      Found: 531 Missing: 15
+hi.js      Found: 302 Missing: 244
+hr.js      Found: 404 Missing: 142
+hu.js      Found: 445 Missing: 101
+is.js      Found: 307 Missing: 239
+it.js      Found: 404 Missing: 142
+ja.js      Found: 413 Missing: 133
+km.js      Found: 275 Missing: 271
+ko.js      Found: 293 Missing: 253
+lt.js      Found: 306 Missing: 240
+lv.js      Found: 283 Missing: 263
+mn.js      Found: 300 Missing: 246
+ms.js      Found: 265 Missing: 281
+nb.js      Found: 470 Missing: 76
+nl.js      Found: 494 Missing: 52
+no.js      Found: 470 Missing: 76
+pl.js      Found: 411 Missing: 135
+pt-br.js   Found: 524 Missing: 22
+pt.js      Found: 282 Missing: 264
+ro.js      Found: 301 Missing: 245
+ru.js      Found: 467 Missing: 79
+sk.js      Found: 302 Missing: 244
+sl.js      Found: 410 Missing: 136
+sr-latn.js Found: 276 Missing: 270
+sr.js      Found: 275 Missing: 271
+sv.js      Found: 299 Missing: 247
+th.js      Found: 287 Missing: 259
+tr.js      Found: 524 Missing: 22
+uk.js      Found: 404 Missing: 142
+vi.js      Found: 481 Missing: 65
+zh-cn.js   Found: 523 Missing: 23
+zh.js      Found: 404 Missing: 142
Index: CKEditor/branches/versions/3.5.x/_source/lang/af.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/af.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/af.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/ar.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/ar.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/ar.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/bg.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/bg.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/bg.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/bn.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/bn.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/bn.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/bs.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/bs.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/bs.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/ca.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/ca.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/ca.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/cs.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/cs.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/cs.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/cy.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/cy.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/cy.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/da.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/da.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/da.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/de.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/de.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/de.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/el.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/el.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/el.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/en-au.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/en-au.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/en-au.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/en-ca.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/en-ca.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/en-ca.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/en-gb.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/en-gb.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/en-gb.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/en.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/en.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties',
+		toolbar		: 'Iframe',
+		height		: 'Height',
+		width		: 'Width',
+		invalidHeight	: 'Iframe height must be a number.',
+		invalidWidth	: 'Iframe width must be a number.',
+		noUrl		: 'Please type the iframe URL',
+		scrolling		: 'Enable scrollbars',
+		border		: 'Show frame border',
+		align		: 'Alignment',
+		alignLeft		: 'Left',
+		alignRight	: 'Right',
+		alignTop		: 'Top',
+		alignMiddle	: 'Middle',
+		alignBottom	: 'Bottom'
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/eo.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/eo.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/eo.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/es.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/es.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/es.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/et.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/et.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/et.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/eu.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/eu.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/eu.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/fa.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/fa.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/fa.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/fi.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/fi.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/fi.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/fo.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/fo.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/fo.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/fr-ca.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/fr-ca.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/fr-ca.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/fr.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/fr.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/fr.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/gl.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/gl.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/gl.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/gu.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/gu.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/gu.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/he.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/he.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/he.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/hi.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/hi.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/hi.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/hr.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/hr.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/hr.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/hu.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/hu.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/hu.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/is.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/is.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/is.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/it.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/it.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/it.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/ja.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/ja.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/ja.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/km.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/km.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/km.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/ko.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/ko.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/ko.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/lt.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/lt.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/lt.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/lv.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/lv.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/lv.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/mn.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/mn.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/mn.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/ms.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/ms.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/ms.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/nb.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/nb.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/nb.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/nl.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/nl.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/nl.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/no.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/no.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/no.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/pl.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/pl.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/pl.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/pt-br.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/pt-br.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/pt-br.js	(revision 5915)
@@ -615,4 +615,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/pt.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/pt.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/pt.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/ro.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/ro.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/ro.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/ru.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/ru.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/ru.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/sk.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/sk.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/sk.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/sl.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/sl.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/sl.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/sr-latn.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/sr-latn.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/sr-latn.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/sr.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/sr.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/sr.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/sv.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/sv.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/sv.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/th.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/th.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/th.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/tr.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/tr.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/tr.js	(revision 5915)
@@ -615,4 +615,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/uk.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/uk.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/uk.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/vi.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/vi.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/vi.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/zh-cn.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/zh-cn.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/zh-cn.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/lang/zh.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/zh.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/lang/zh.js	(revision 5915)
@@ -616,4 +616,23 @@
   	},
 
+	iframe :
+	{
+		title		: 'Iframe Properties', // MISSING
+		toolbar		: 'Iframe', // MISSING
+		height		: 'Height', // MISSING
+		width		: 'Width', // MISSING
+		invalidHeight	: 'Iframe height must be a number.', // MISSING
+		invalidWidth	: 'Iframe width must be a number.', // MISSING
+		noUrl		: 'Please type the iframe URL', // MISSING
+		scrolling		: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border', // MISSING
+		align		: 'Alignment', // MISSING
+		alignLeft		: 'Left', // MISSING
+		alignRight	: 'Right', // MISSING
+		alignTop		: 'Top', // MISSING
+		alignMiddle	: 'Middle', // MISSING
+		alignBottom	: 'Bottom' // MISSING
+	},
+
 	font :
 	{
Index: CKEditor/branches/versions/3.5.x/_source/plugins/iframe/dialogs/iframe.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/plugins/iframe/dialogs/iframe.js	(revision 5915)
+++ CKEditor/branches/versions/3.5.x/_source/plugins/iframe/dialogs/iframe.js	(revision 5915)
@@ -0,0 +1,257 @@
+/*
+Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+(function()
+{
+	// Map 'true' and 'false' values to match W3C's specifications
+	// http://www.w3.org/TR/REC-html40/present/frames.html#h-16.5
+	var checkboxValues =
+	{
+		scrolling : { 'true' : 'yes', 'false' : 'no' },
+		frameborder : { 'true' : '1', 'false' : '0' }
+	};
+	
+	function loadValue( iframeNode )
+	{
+		var isCheckbox = this instanceof CKEDITOR.ui.dialog.checkbox;
+		if ( iframeNode.hasAttribute( this.id ) )
+		{
+			var value = iframeNode.getAttribute( this.id );
+			if ( isCheckbox )
+				this.setValue( checkboxValues[ this.id ][ 'true' ] == value.toLowerCase() );
+			else
+				this.setValue( value );
+		}
+	}
+
+	function commitValue( iframeNode )
+	{
+		var isRemove = this.getValue() === '',
+			isCheckbox = this instanceof CKEDITOR.ui.dialog.checkbox,
+			value = this.getValue();
+		if ( isRemove )
+			iframeNode.removeAttribute( this.att || this.id );
+		else if ( isCheckbox )
+			iframeNode.setAttribute( this.id, checkboxValues[ this.id ][ value ] );
+		else
+			iframeNode.setAttribute( this.att || this.id, value );
+	}
+
+	CKEDITOR.dialog.add( 'iframe', function( editor )
+	{
+		var iframeLang = editor.lang.iframe,
+			commonLang = editor.lang.common,
+			dialogadvtab = editor.plugins.dialogadvtab;
+		return {
+			title : iframeLang.title,
+			minWidth : 350,
+			minHeight : 260,
+			onShow : function()
+			{
+				// Clear previously saved elements.
+				this.fakeImage = this.iframeNode = null;
+
+				var fakeImage = this.getSelectedElement();
+				if ( fakeImage && fakeImage.getAttribute( '_cke_real_element_type' ) && fakeImage.getAttribute( '_cke_real_element_type' ) == 'iframe' )
+				{
+					this.fakeImage = fakeImage;
+
+					var iframeNode = editor.restoreRealElement( fakeImage );
+					this.iframeNode = iframeNode;
+
+					this.setupContent( iframeNode, fakeImage );
+				}
+			},
+			onOk : function()
+			{
+				var iframeNode;
+				if ( !this.fakeImage )
+					iframeNode = new CKEDITOR.dom.element( 'iframe' );
+				else
+					iframeNode = this.iframeNode;
+
+				// A subset of the specified attributes/styles
+				// should also be applied on the fake element to
+				// have better visual effect. (#5240)
+				var extraStyles = {}, extraAttributes = {};
+				this.commitContent( iframeNode, extraStyles, extraAttributes );
+
+				// Refresh the fake image.
+				var newFakeImage = editor.createFakeElement( iframeNode, 'cke_iframe', 'iframe', true );
+				newFakeImage.setAttributes( extraAttributes );
+				newFakeImage.setStyles( extraStyles );
+				if ( this.fakeImage )
+				{
+					newFakeImage.replace( this.fakeImage );
+					editor.getSelection().selectElement( newFakeImage );
+				}
+				else
+					editor.insertElement( newFakeImage );
+			},
+			contents : [
+				{
+					id : 'info',
+					label : commonLang.generalTab,
+					accessKey : 'I',
+					elements :
+					[
+						{
+							type : 'vbox',
+							padding : 0,
+							children :
+							[
+								{
+									id : 'src',
+									type : 'text',
+									label : commonLang.url,
+									required : true,
+									validate : CKEDITOR.dialog.validate.notEmpty( iframeLang.noUrl ),
+									setup : loadValue,
+									commit : commitValue
+								}
+							]
+						},
+						{
+							type : 'hbox',
+							children :
+							[
+								{
+									id : 'width',
+									type : 'text',
+									style : 'width:100%',
+									labelLayout : 'vertical',
+									label : iframeLang.width,
+									validate : CKEDITOR.dialog.validate.integer( iframeLang.invalidWidth ),
+									setup : function( iframeNode, fakeImage )
+									{
+										loadValue.apply( this, arguments );
+										if ( fakeImage )
+										{
+											var fakeImageWidth = parseInt( fakeImage.$.style.width, 10 );
+											if ( !isNaN( fakeImageWidth ) )
+												this.setValue( fakeImageWidth );
+										}
+									},
+									commit : function( iframeNode, extraStyles )
+									{
+										commitValue.apply( this, arguments );
+										if ( this.getValue() )
+											extraStyles.width = this.getValue() + 'px';
+									}
+								},
+								{
+									id : 'height',
+									type : 'text',
+									style : 'width:100%',
+									labelLayout : 'vertical',
+									label : iframeLang.height,
+									validate : CKEDITOR.dialog.validate.integer( iframeLang.invalidHeight ),
+									setup : function( iframeNode, fakeImage )
+									{
+										loadValue.apply( this, arguments );
+										if ( fakeImage )
+										{
+											var fakeImageHeight = parseInt( fakeImage.$.style.height, 10 );
+											if ( !isNaN( fakeImageHeight ) )
+												this.setValue( fakeImageHeight );
+										}
+									},
+									commit : function( iframeNode, extraStyles )
+									{
+										commitValue.apply( this, arguments );
+										if ( this.getValue() )
+											extraStyles.height = this.getValue() + 'px';
+									}
+								},
+								{
+									id : 'align',
+									type : 'select',
+									'default' : '',
+									items :
+									[
+										[ commonLang.notSet , '' ],
+										[ iframeLang.alignLeft , 'left' ],
+										[ iframeLang.alignRight , 'right' ],
+										[ iframeLang.alignTop , 'top' ],
+										[ iframeLang.alignMiddle , 'middle' ],
+										[ iframeLang.alignBottom , 'bottom' ]
+									],
+									style : 'width:100%',
+									labelLayout : 'vertical',
+									label : iframeLang.align,
+									setup : function( iframeNode, fakeImage )
+									{
+										loadValue.apply( this, arguments );
+										if ( fakeImage )
+										{
+											var fakeImageAlign = fakeImage.getAttribute( 'align' );
+											this.setValue( fakeImageAlign && fakeImageAlign.toLowerCase() || '' );
+										}
+									},
+									commit : function( iframeNode, extraStyles, extraAttributes )
+									{
+										commitValue.apply( this, arguments );
+										if ( this.getValue() )
+											extraAttributes.align = this.getValue();
+									}
+								}
+							]
+						},
+						{
+							type : 'hbox',
+							widths : [ '50%', '50%' ],
+							children :
+							[
+								{
+									id : 'scrolling',
+									type : 'checkbox',
+									label : iframeLang.scrolling,
+									setup : loadValue,
+									commit : commitValue
+								},
+								{
+									id : 'frameborder',
+									type : 'checkbox',
+									label : iframeLang.border,
+									setup : loadValue,
+									commit : commitValue
+								}
+							]
+						},
+						{
+							type : 'hbox',
+							widths : [ '50%', '50%' ],
+							children :
+							[
+								{
+									id : 'name',
+									type : 'text',
+									label : commonLang.name,
+									setup : loadValue,
+									commit : commitValue
+								},
+								{
+									id : 'title',
+									type : 'text',
+									label : commonLang.advisoryTitle,
+									setup : loadValue,
+									commit : commitValue
+								}
+							]
+						},
+						{
+							id : 'longdesc',
+							type : 'text',
+							label : commonLang.longDescr,
+							setup : loadValue,
+							commit : commitValue
+						}
+					]
+				},
+				dialogadvtab && dialogadvtab.createAdvancedTab( editor, { id:1, classes:1, styles:1 })
+			]
+		};
+	});
+})();
Index: CKEditor/branches/versions/3.5.x/_source/plugins/iframe/plugin.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/plugins/iframe/plugin.js	(revision 5915)
+++ CKEditor/branches/versions/3.5.x/_source/plugins/iframe/plugin.js	(revision 5915)
@@ -0,0 +1,106 @@
+/*
+Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+(function()
+{
+	function createFakeElement( editor, realElement )
+	{
+		var fakeElement = editor.createFakeParserElement( realElement, 'cke_iframe', 'iframe', true ),
+			fakeStyle = fakeElement.attributes.style || '';
+
+		var width = realElement.attributes.width,
+			height = realElement.attributes.height;
+
+		if ( typeof width != 'undefined' )
+			fakeStyle += 'width:' + CKEDITOR.tools.cssLength( width ) + ';';
+
+		if ( typeof height != 'undefined' )
+			fakeStyle += 'height:' + CKEDITOR.tools.cssLength( height ) + ';';
+
+		fakeElement.attributes.style = fakeStyle;
+
+		return fakeElement;
+	}
+
+	CKEDITOR.plugins.add( 'iframe',
+	{
+		requires : [ 'dialog', 'fakeobjects' ],
+		init : function( editor )
+		{
+			var pluginName = 'iframe',
+				lang = editor.lang.iframe;
+
+			CKEDITOR.dialog.add( pluginName, this.path + 'dialogs/iframe.js' );
+			editor.addCommand( pluginName, new CKEDITOR.dialogCommand( pluginName ) );
+
+			editor.addCss(
+				'img.cke_iframe' +
+				'{' +
+					'background-image: url(' + CKEDITOR.getUrl( this.path + 'images/placeholder.png' ) + ');' +
+					'background-position: center center;' +
+					'background-repeat: no-repeat;' +
+					'border: 1px solid #a9a9a9;' +
+					'width: 80px;' +
+					'height: 80px;' +
+				'}'
+			);
+
+			editor.ui.addButton( 'Iframe',
+				{
+					label : lang.toolbar,
+					command : pluginName
+				});
+
+			editor.on( 'doubleclick', function( evt )
+				{
+					var element = evt.data.element;
+					if ( element.is( 'img' ) && element.getAttribute( '_cke_real_element_type' ) == 'iframe' )
+						evt.data.dialog = 'iframe';
+				});
+
+			if ( editor.addMenuItems )
+			{
+				editor.addMenuItems(
+				{
+					iframe :
+					{
+						label : lang.title,
+						command : 'iframe',
+						group : 'image'
+					}
+				});
+			}
+
+			// If the "contextmenu" plugin is loaded, register the listeners.
+			if ( editor.contextMenu )
+			{
+				editor.contextMenu.addListener( function( element, selection )
+					{
+						if ( element && element.is( 'img' ) && element.getAttribute( '_cke_real_element_type' ) == 'iframe' )
+							return { iframe : CKEDITOR.TRISTATE_OFF };
+					});
+			}
+		},
+		afterInit : function( editor )
+		{
+			var dataProcessor = editor.dataProcessor,
+				dataFilter = dataProcessor && dataProcessor.dataFilter;
+
+			if ( dataFilter )
+			{
+				dataFilter.addRules(
+				{
+					elements :
+					{
+						iframe : function( element )
+						{
+							return createFakeElement( editor, element );
+						}
+					}
+				});
+			}
+		}
+	});
+})();
Index: CKEditor/branches/versions/3.5.x/_source/plugins/toolbar/plugin.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/plugins/toolbar/plugin.js	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/plugins/toolbar/plugin.js	(revision 5915)
@@ -418,5 +418,5 @@
  *     ['BidiLtr', 'BidiRtl' ],
  *     ['Link','Unlink','Anchor'],
- *     ['Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak'],
+ *     ['Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak','Iframe'],
  *     '/',
  *     ['Styles','Format','Font','FontSize'],
@@ -437,5 +437,5 @@
 	['BidiLtr', 'BidiRtl' ],
 	['Link','Unlink','Anchor'],
-	['Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak'],
+	['Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak','Iframe'],
 	'/',
 	['Styles','Format','Font','FontSize'],
Index: CKEditor/branches/versions/3.5.x/_source/skins/kama/icons.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/kama/icons.css	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/skins/kama/icons.css	(revision 5915)
@@ -356,2 +356,6 @@
 	background-position: 0 -1056px;
 }
+.cke_skin_kama .cke_button_iframe .cke_icon
+{
+	background-position: 0 -1279px;
+}
Index: CKEditor/branches/versions/3.5.x/_source/skins/office2003/icons.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/office2003/icons.css	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/skins/office2003/icons.css	(revision 5915)
@@ -353,2 +353,7 @@
 	background-position: 0 -1056px;
 }
+.cke_skin_office2003 .cke_button_iframe .cke_icon
+{
+	background-position: 0 -1279px;
+}
+
Index: CKEditor/branches/versions/3.5.x/_source/skins/v2/icons.css
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/skins/v2/icons.css	(revision 5914)
+++ CKEditor/branches/versions/3.5.x/_source/skins/v2/icons.css	(revision 5915)
@@ -343,5 +343,4 @@
 	background-position: 0 -1200px;
 }
-
 .cke_skin_v2 .cke_button_bidirtl .cke_icon
 {
@@ -353,2 +352,7 @@
 	background-position: 0 -1056px;
 }
+
+.cke_skin_v2 .cke_button_iframe .cke_icon
+{
+	background-position: 0 -1279px;
+}
